[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.GetDefaultColumnAlignment

Gets the default alignment for the column.

## Declaration

Source position: dbgrids.pas line 461

`protected function TCustomDBGrid.GetDefaultColumnAlignment(`
`Column: Integer`
`):TAlignment; override;`

## Arguments

`Column` |  | Column number to use from the dataset.

## Function result

Default alignment for the column.

## Description

GetDefaultColumnAlignment is an overridden TAlignment function used to get the default alignment for data at the specified column number. GetDefaultColumnAlignment gets the TField for the specified column when assigned, and uses its Alignment property as the return value for the method. The value taLeftJustify is used when a TField cannot be found for the specified column number.